Skip to main content
POST
/
price
/
door-door
Door-Door
curl --request POST \
  --url https://api.mervii.com/beta/price/door-door \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destinations": [
    {
      "city": "Lagos",
      "country_code": "NG",
      "item_weight": 1,
      "region": {
        "latitude": 7.427026700000001,
        "longitude": 3.8900142
      },
      "state_code": "LA"
    }
  ],
  "pickup_origin": {
    "city": "Lagos",
    "country_code": "NG",
    "region": {
      "latitude": 6.4612672,
      "longitude": 3.3961466
    },
    "state_code": ""
  }
}
'
import requests

url = "https://api.mervii.com/beta/price/door-door"

payload = {
"destinations": [
{
"city": "Lagos",
"country_code": "NG",
"item_weight": 1,
"region": {
"latitude": 7.427026700000001,
"longitude": 3.8900142
},
"state_code": "LA"
}
],
"pickup_origin": {
"city": "Lagos",
"country_code": "NG",
"region": {
"latitude": 6.4612672,
"longitude": 3.3961466
},
"state_code": ""
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destinations: [
{
city: 'Lagos',
country_code: 'NG',
item_weight: 1,
region: {latitude: 7.427026700000001, longitude: 3.8900142},
state_code: 'LA'
}
],
pickup_origin: {
city: 'Lagos',
country_code: 'NG',
region: {latitude: 6.4612672, longitude: 3.3961466},
state_code: ''
}
})
};

fetch('https://api.mervii.com/beta/price/door-door', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mervii.com/beta/price/door-door",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destinations' => [
[
'city' => 'Lagos',
'country_code' => 'NG',
'item_weight' => 1,
'region' => [
'latitude' => 7.427026700000001,
'longitude' => 3.8900142
],
'state_code' => 'LA'
]
],
'pickup_origin' => [
'city' => 'Lagos',
'country_code' => 'NG',
'region' => [
'latitude' => 6.4612672,
'longitude' => 3.3961466
],
'state_code' => ''
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.mervii.com/beta/price/door-door"

payload := strings.NewReader("{\n \"destinations\": [\n {\n \"city\": \"Lagos\",\n \"country_code\": \"NG\",\n \"item_weight\": 1,\n \"region\": {\n \"latitude\": 7.427026700000001,\n \"longitude\": 3.8900142\n },\n \"state_code\": \"LA\"\n }\n ],\n \"pickup_origin\": {\n \"city\": \"Lagos\",\n \"country_code\": \"NG\",\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"\"\n }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://api.mervii.com/beta/price/door-door")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destinations\": [\n {\n \"city\": \"Lagos\",\n \"country_code\": \"NG\",\n \"item_weight\": 1,\n \"region\": {\n \"latitude\": 7.427026700000001,\n \"longitude\": 3.8900142\n },\n \"state_code\": \"LA\"\n }\n ],\n \"pickup_origin\": {\n \"city\": \"Lagos\",\n \"country_code\": \"NG\",\n \"region\": {\n \"latitude\": 6.4612672,\n \"longitude\": 3.3961466\n },\n \"state_code\": \"\"\n }\n}")
.asString();
{
  "data": {
    "destinations": [
      {
        "city": "Lagos",
        "country_code": "NG",
        "dropoff_centre": {
          "centre_code": "lagos-ojodu-berger",
          "centre_name": "Ojodu Berger Lagos"
        },
        "item_weight": 1,
        "price": {
          "amount": 11791.850875080365,
          "amount_payable": 11791.850875080365,
          "discount_amount": 0,
          "discount_description": "0% discount",
          "discount_type": "Percetage",
          "distance": "68.26634062567 Kilometres to the drop off center ",
          "duration": "1-4 days"
        },
        "region": {
          "latitude": 7.427026700000001,
          "longitude": 3.8900142
        },
        "state_code": "LA",
        "weight": "1"
      }
    ],
    "discount_description": "0% discount",
    "discount_type": "Percetage",
    "pickup_origin": {
      "city": "Lagos",
      "country_code": "NG",
      "pickup_centre": {
        "centre_code": "lagos-adeniji-adele",
        "centre_name": "Adeniji Adele Lagos"
      },
      "region": {
        "latitude": 6.4612672,
        "longitude": 3.3961466
      },
      "state_code": "LA"
    },
    "total_amount": 11791.850875080365,
    "total_amount_payable": 11791.850875080365,
    "total_discount_amount": 0
  },
  "message": "get price",
  "status": true
}
{
"message": "The pickup origin.state code field is required.",
"status": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
destinations
object[]
Example:
[
{
"city": "Lagos",
"country_code": "NG",
"item_weight": 1,
"region": {
"latitude": 7.427026700000001,
"longitude": 3.8900142
},
"state_code": "LA"
}
]
pickup_origin
object

Response

success

data
object
message
string
Example:

"get price"

status
boolean
Example:

true